Subject: Re: [RFC 2/3] zImage: SMP hold

From: David Gibson <[email-masked]>
Date: Tue, 20 Feb 2007 13:22:16 +1100

On Sat, Feb 17, 2007 at 05:17:04PM -0800, Geoff Levand wrote:
> Add SMP secondary hold helper routines to the powerpc zImage
> bootwrapper.  For platforms which are entered with multiple cpus.
> These routines can be used to hold the secondary cpus until the
> kernel is ready for entry.

Could we have these functions in their own library module.  That way
they can be omitted in the wrappers for strictly-UP platforms (many
embedded), or platforms where the secondary CPUs are held in firmware
until the kernel releases.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson